Subject: Re: bug#57781: missing wallpaper command

From: Stefan Kangas <[email-masked]>
Date: Mon, 19 Sep 2022 05:40:46 -0400

Felix <[email-masked]> writes:

> On KDE/plasma Wayland everything i tested worked with wallpaper-set.
> If wbg or swaybg is installed, they are used by wallpaper-set, which is
> not optimal, if they are not installed kde's internal way of
> setting the wallpaper is used. That way there is no process attached to
> emacs, quiting emacs doesn't remove the wallpaper (as it does with wbg
> or swaybg), and there is no need to kill old wallpaper processes.

Thanks.  Based on your findings, I changed the priority so that the
desktop environment specific commands will be tried first.  I think that
should make more sense in most cases.